
--
-- ls-modsource.com
-- @author  Benjamin Gerisch aka Geri-G
-- @date  08/05/2010
--

attachable2 = {};

function attachable2.prerequisitesPresent(specializations)
   
	return true;
end;

function attachable2:load(xmlFile)
	self.onAttach = attachable2.onAttach;
	self.onDetach = attachable2.onDetach;
	self.attacherJoint = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.AttacherJoint#index"));
	self.attacherColl = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.AttacherJoint#root"));
	self.attacherVehicle = nil;
	self.JointType = Utils.getNoNil(getXMLString(xmlFile, "vehicle.AttacherJoint#type"),"EX")
	self.linked = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.AttacherJoint#link"));
end;

function attachable2:delete()

end;

function attachable2:mouseEvent(posX, posY, isDown, isUp, button)
end;

function attachable2:keyEvent(unicode, sym, modifier, isDown)
end;
function attachable2:update(dt)
	if self.attacherVehicle ~= nil then
		self.isEntered = self.attacherVehicle:getIsActive()
		if self:getIsActive() then	

		end;
	end;
end;

function attachable2:draw()

end;

function attachable2:onAttach(attacherVehicle)
	self.attacherVehicle = attacherVehicle;
	self.isEntered = self.attacherVehicle.isEntered;
end;

function attachable2:onDetach()
	self.isEntered = false;
	self.attacherVehicle = nil;
end;